"""empty message

Revision ID: 6749bbbf4946
Revises: 649035b86a17
Create Date: 2021-07-31 08:39:02.565464

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '6749bbbf4946'
down_revision = '649035b86a17'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('cell')
    op.drop_table('board')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'cell',
        sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column('row', sa.INTEGER(), autoincrement=False, nullable=False),
        sa.Column('col', sa.VARCHAR(length=1), autoincrement=False,
                  nullable=False),
        sa.Column('state', sa.VARCHAR(length=10), autoincrement=False,
                  nullable=False),
        sa.Column('board_id', sa.INTEGER(), autoincrement=False,
                  nullable=False),
        sa.CheckConstraint(
            "((col)::text = 'a'::text) OR ((col)::text = 'b'::text) OR "
            "((col)::text = 'c'::text) OR ((col)::text = 'd'::text) OR "
            "((col)::text = 'e'::text) OR ((col)::text = 'f'::text) OR "
            "((col)::text = 'g'::text) OR ((col)::text = 'h'::text) OR "
            "((col)::text = 'i'::text) OR ((col)::text = 'k'::text)",
            name='cell_col_check'
        ),
        sa.CheckConstraint(
            "((state)::text = 'empty'::text) OR "
            "((state)::text = 'cross'::text) OR "
            "((state)::text = 'zero'::text) OR "
            "((state)::text = 'dead cross'::text) OR "
            "((state)::text = 'dead zero'::text)",
            name='cell_state_check'
        ),
        sa.CheckConstraint('("row" >= 1) AND ("row" <= 10)',
                           name='cell_row_check'),
        sa.ForeignKeyConstraint(['board_id'], ['board.id'],
                                name='cell_board_id_fkey'),
        sa.PrimaryKeyConstraint('id', name='cell_pkey'),
        sa.UniqueConstraint(
            'board_id', 'col', 'row', name='cell_board_id_col_row_key'
        )
    )
    op.create_table(
        'board',
        sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
        sa.PrimaryKeyConstraint('id', name='board_pkey')
    )
    # ### end Alembic commands ###
